import http from "@/api/http";

export default {

  // 查看展品信息列表
  async queryShowpieceList(data) {
    return http({
      url: '/showpiece/queryShowpieceList',
      method: 'GET',
      data
    })
  },

  


  // 查看维修记录列表
  async queryRepairList(data) {
    return http({
      url: '/showpiece/queryRepairList',
      method: 'GET',
      data
    })
  },

  // 查看保养记录
  async queryMaintenanceList(data) {
    return http({
      url: '/showpiece/queryMaintenanceList',
      method: 'GET',
      data
    })
  },

  // 保养-新增保养记录
  async addMaintenance(data) {
    return http({
      url: '/showpiece/addMaintenance',
      method: 'POST',
      data,
      showLoading: true,
      needToken: true
    })
  },

  // 报修- 查看报修单列表
  async queryMalfunctionList(data) {
    return http({
      url: '/showpiece/queryMalfunctionList',
      method: 'GET',
      data
    })
  },

  // 报修- 新增报修单
  async addMalfunction(data) {
    return http({
      url: '/showpiece/addMalfunction',
      method: 'POST',
      data,
      showLoading: true,
      needToken: true
    })
  },

  // 查看保修单详情
  async queryMalfunctionById(data) {
    return http({
      url: '/showpiece/queryMalfunctionById',
      method: 'GET',
      data
    })
  },

  // 修改保修单
  async updateMalfunction(data) {
    return http({
      url: '/showpiece/updateMalfunction',
      method: 'POST',
      data,
      showLoading: true,
      needToken: true
    })
  },

  // 新增维修记录
  async addRepair(data) {
    return http({
      url: '/showpiece/addRepair',
      method: 'POST',
      data,
      showLoading: true,
      needToken: true
    })
  },

  // 查看维修记录详情
  async queryRepairById(data) {
    return http({
      url: '/showpiece/queryRepairById',
      method: 'GET',
      data
    })
  },

  // 保养- 查看保养记录详情
  async queryMaintenanceById(data) {
    return http({
      url: '/showpiece/queryMaintenanceById',
      method: 'GET',
      data
    })
  },

  // 修改保养记录
  async updateMaintenance(data) {
    return http({
      url: '/showpiece/updateMaintenance',
      method: 'POST',
      data,
      showLoading: true,
      needToken: true
    })
  },

  async updateRepair(data) {
    return http({
      url: '/showpiece/updateRepair',
      method: 'POST',
      data,
      showLoading: true,
      needToken: true
    })
  }
}
